atkmm: Atk::Table Class Reference

Public Member Functions | Related Functions

# Atk::Table Class Reference

The ATK interface implemented for UI components which contain tabular or row/column information. More...

`#include <atkmm/table.h>`

Inheritance diagram for Atk::Table:
[legend]

List of all members.

## Public Member Functions
AtkTable* | gobj ()
| Provides access to the underlying C GObject.
const AtkTable* | gobj () const
| Provides access to the underlying C GObject.
Glib::RefPtr< Atk::Object > | get_at (int row, int column)
| Get a reference to the table cell at row, column.
int | get_index_at (int row, int column) const
| Gets a `int` representing the index at the specified row and column.
int | get_column_at_index (int index) const
| Gets a `int` representing the column at the specified index.
int | get_row_at_index (int index) const
| Gets a `int` representing the row at the specified index.
int | get_n_columns () const
| Gets the number of columns in the table.
int | get_n_rows () const
| Gets the number of rows in the table.
int | get_column_extent_at (int row, int column) const
| Gets the number of columns occupied by the accessible object at the specified row and column in the table.
int | get_row_extent_at (int row, int column) const
| Gets the number of rows occupied by the accessible object at a specified row and column in the table.
Glib::RefPtr< Atk::Object > | get_caption ()
| Gets the caption for the table.
Glib::RefPtr< const Atk::Object > | get_caption () const
| Gets the caption for the table.
Glib::ustring | get_column_description (int column) const
| Gets the description text of the specified column in the table.
Glib::RefPtr< Atk::Object > | get_column_header (int column)
| Gets the column header of a specified column in an accessible table.
Glib::RefPtr< const Atk::Object > | get_column_header (int column) const
| Gets the column header of a specified column in an accessible table.
Glib::ustring | get_row_description (int row) const
| Gets the description text of the specified row in the table.
Glib::RefPtr< Atk::Object > | get_row_header (int row)
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr< const Atk::Object > | get_row_header (int row) const
| Gets the row header of a specified row in an accessible table.
Glib::RefPtr< Atk::Object > | get_summary ()
| Gets the summary description of the table.
Glib::RefPtr< const Atk::Object > | get_summary () const
| Gets the summary description of the table.
void | set_caption (const Glib::RefPtr< Atk::Object >& caption)
| Sets the caption for the table.
void | set_column_description (int column, const Glib::ustring& description)
| Sets the description text for the specified column of the table.
void | set_column_header (int column, const Glib::RefPtr< Atk::Object >& header)
| Sets the specified column header to header.
void | set_row_description (int row, const Glib::ustring& description)
| Sets the description text for the specified row of table.
void | set_row_header (int row, const Glib::RefPtr< Atk::Object >& header)
| Sets the specified row header to header.
void | set_summary (const Glib::RefPtr< Atk::Object >& accessible)
| Sets the summary description of the table.
bool | is_column_selected (int column) const
| Gets a boolean value indicating whether the specified column is selected.
bool | is_row_selected (int row) const
| Gets a boolean value indicating whether the specified row is selected.
bool | is_selected (int row, int column) const
| Gets a boolean value indicating whether the accessible object at the specified row and column is selected.
bool | add_row_selection (int row)
| Adds the specified row to the selection.
bool | remove_row_selection (int row)
| Removes the specified row from the selection.
bool | add_column_selection (int column)
| Adds the specified column to the selection.
bool | remove_column_selection (int column)
| Adds the specified column to the selection.
Glib::SignalProxy2< void, int, int > | signal_row_inserted ()
Glib::SignalProxy2< void, int, int > | signal_column_inserted ()
Glib::SignalProxy2< void, int, int > | signal_row_deleted ()
Glib::SignalProxy2< void, int, int > | signal_column_deleted ()
Glib::SignalProxy0< void > | signal_row_reordered ()
Glib::SignalProxy0< void > | signal_column_reordered ()
Glib::SignalProxy0< void > | signal_model_changed ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Table > | wrap (AtkTable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface implemented for UI components which contain tabular or row/column information.

This should be implemented by components which present elements ordered via rows and columns. It may also be used to present tree-structured information if the nodes of the trees can be said to contain multiple "columns". Individual elements of an Atk::Table are typically referred to as "cells", and these cells are exposed by Atk::Table as child Atk::Objects of the Atk::Table. Both row/column and child-index-based access to these children is provided.

Children of Atk::Table are frequently "lightweight" objects, that is, they may not have backing widgets in the host UI toolkit. They are therefore often transient.

Since tables are often very complex, Atk::Table includes provision for offering simplified summary information, as well as row and column headers and captions. Headers and captions are AtkObjects which may implement other interfaces (Atk::Text, Atk::Image, etc.) as appropriate. Atk::Table summaries may themselves be (simplified) Atk::Tables, etc.

## Member Function Documentation

bool Atk::Table::add_column_selection | ( | int | column ) |

Adds the specified column to the selection.

Parameters:

  column | A `int` representing a column in table.

Returns:
  A `bool` representing if the column was successfully added to the selection, or 0 if value does not implement this interface.

bool Atk::Table::add_row_selection | ( | int | row ) |

Adds the specified row to the selection.

Parameters:

  row | A `int` representing a row in table.

Returns:
  A `bool` representing if row was successfully added to selection, or 0 if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_at | ( | int | row,
|  | int | column
| ) |  |

Get a reference to the table cell at row, column.

Parameters:

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns:
  A AtkObject* representing the referred to accessible.

Glib::RefPtr<Atk::Object> Atk::Table::get_caption | ( | ) |

Gets the caption for the table.

Returns:
  A AtkObject* representing the table caption, or `0` if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_caption | ( | ) | const

Gets the caption for the table.

Returns:
  A AtkObject* representing the table caption, or `0` if value does not implement this interface.

int Atk::Table::get_column_at_index | ( | int | index ) | const

Gets a `int` representing the column at the specified index.

Parameters:

  index | A `int` representing an index in table.

Returns:
  A `int` representing the column at the specified index, or -1 if the table does not implement this interface.

Glib::ustring Atk::Table::get_column_description | ( | int | column ) | const

Gets the description text of the specified column in the table.

Parameters:

  column | A `int` representing a column in table.

Returns:
  A gchar* representing the column description, or `0` if value does not implement this interface.

int Atk::Table::get_column_extent_at | ( | int | row,
|  | int | column
| ) |  | const

Gets the number of columns occupied by the accessible object at the specified row and column in the table.

Parameters:

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns:
  A `int` representing the column extent at specified position, or 0 if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_column_header | ( | int | column ) | const

Gets the column header of a specified column in an accessible table.

Parameters:

  column | A `int` representing a column in the table.

Returns:
  A AtkObject* representing the specified column header, or `0` if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_column_header | ( | int | column ) |

Gets the column header of a specified column in an accessible table.

Parameters:

  column | A `int` representing a column in the table.

Returns:
  A AtkObject* representing the specified column header, or `0` if value does not implement this interface.

int Atk::Table::get_index_at | ( | int | row,
|  | int | column
| ) |  | const

Gets a `int` representing the index at the specified row and column.

Parameters:

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns:
  A `int` representing the index at specified position. The value -1 is returned if the object at row,column is not a child of table or table does not implement this interface.

int Atk::Table::get_n_columns | ( | ) | const

Gets the number of columns in the table.

Returns:
  A `int` representing the number of columns, or 0 if value does not implement this interface.

int Atk::Table::get_n_rows | ( | ) | const

Gets the number of rows in the table.

Returns:
  A `int` representing the number of rows, or 0 if value does not implement this interface.

int Atk::Table::get_row_at_index | ( | int | index ) | const

Gets a `int` representing the row at the specified index.

Parameters:

  index | A `int` representing an index in table.

Returns:
  A `int` representing the row at the specified index, or -1 if the table does not implement this interface.

Glib::ustring Atk::Table::get_row_description | ( | int | row ) | const

Gets the description text of the specified row in the table.

Parameters:

  row | A `int` representing a row in table.

Returns:
  A gchar* representing the row description, or `0` if value does not implement this interface.

int Atk::Table::get_row_extent_at | ( | int | row,
|  | int | column
| ) |  | const

Gets the number of rows occupied by the accessible object at a specified row and column in the table.

Parameters:

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns:
  A `int` representing the row extent at specified position, or 0 if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_row_header | ( | int | row ) |

Gets the row header of a specified row in an accessible table.

Parameters:

  row | A `int` representing a row in the table.

Returns:
  A AtkObject* representing the specified row header, or `0` if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_row_header | ( | int | row ) | const

Gets the row header of a specified row in an accessible table.

Parameters:

  row | A `int` representing a row in the table.

Returns:
  A AtkObject* representing the specified row header, or `0` if value does not implement this interface.

Glib::RefPtr<Atk::Object> Atk::Table::get_summary | ( | ) |

Gets the summary description of the table.

Returns:
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

Glib::RefPtr<const Atk::Object> Atk::Table::get_summary | ( | ) | const

Gets the summary description of the table.

Returns:
  A AtkObject* representing a summary description of the table, or zero if value does not implement this interface.

bool Atk::Table::is_column_selected | ( | int | column ) | const

Gets a boolean value indicating whether the specified column is selected.

Parameters:

  column | A `int` representing a column in table.

Returns:
  A `bool` representing if the column is selected, or 0 if value does not implement this interface.

bool Atk::Table::is_row_selected | ( | int | row ) | const

Gets a boolean value indicating whether the specified row is selected.

Parameters:

  row | A `int` representing a row in table.

Returns:
  A `bool` representing if the row is selected, or 0 if value does not implement this interface.

bool Atk::Table::is_selected | ( | int | row,
|  | int | column
| ) |  | const

Gets a boolean value indicating whether the accessible object at the specified row and column is selected.

Parameters:

  row | A `int` representing a row in table.
  column | A `int` representing a column in table.

Returns:
  A `bool` representing if the cell is selected, or 0 if value does not implement this interface.

bool Atk::Table::remove_column_selection | ( | int | column ) |

Adds the specified column to the selection.

Parameters:

  column | A `int` representing a column in table.

Returns:
  A `bool` representing if the column was successfully removed from the selection, or 0 if value does not implement this interface.

bool Atk::Table::remove_row_selection | ( | int | row ) |

Removes the specified row from the selection.

Parameters:

  row | A `int` representing a row in table.

Returns:
  A `bool` representing if the row was successfully removed from the selection, or 0 if value does not implement this interface.

void Atk::Table::set_caption | ( | const Glib::RefPtr< Atk::Object >& | caption ) |

Sets the caption for the table.

Parameters:

  caption | A Atk::Object representing the caption to set for table.

void Atk::Table::set_column_description | ( | int | column,
|  | const Glib::ustring & | description
| ) |  |

Sets the description text for the specified column of the table.

Parameters:

  column | A `int` representing a column in table.
  description | A gchar representing the description text to set for the specified column of the table.

void Atk::Table::set_column_header | ( | int | column,
|  | const Glib::RefPtr< Atk::Object >& | header
| ) |  |

Sets the specified column header to header.

Parameters:

  column | A `int` representing a column in table.
  header | An Atk::Table.

void Atk::Table::set_row_description | ( | int | row,
|  | const Glib::ustring & | description
| ) |  |

Sets the description text for the specified row of table.

Parameters:

  row | A `int` representing a row in table.
  description | A gchar representing the description text to set for the specified row of table.

void Atk::Table::set_row_header | ( | int | row,
|  | const Glib::RefPtr< Atk::Object >& | header
| ) |  |

Sets the specified row header to header.

Parameters:

  row | A `int` representing a row in table.
  header | An Atk::Table.

void Atk::Table::set_summary | ( | const Glib::RefPtr< Atk::Object >& | accessible ) |

Sets the summary description of the table.

Parameters:

  accessible | An Atk::Object representing the summary description to set for table.

Glib::SignalProxy2< void,int,int > Atk::Table::signal_column_deleted | ( | ) |

Prototype:
  `void on_my_column_deleted(int column, int num_deleted)`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_column_inserted | ( | ) |

Prototype:
  `void on_my_column_inserted(int column, int num_inserted)`

Glib::SignalProxy0< void > Atk::Table::signal_column_reordered | ( | ) |

Prototype:
  `void on_my_column_reordered()`

Glib::SignalProxy0< void > Atk::Table::signal_model_changed | ( | ) |

Prototype:
  `void on_my_model_changed()`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_row_deleted | ( | ) |

Prototype:
  `void on_my_row_deleted(int row, int num_deleted)`

Glib::SignalProxy2< void,int,int > Atk::Table::signal_row_inserted | ( | ) |

Prototype:
  `void on_my_row_inserted(int row, int num_inserted)`

Glib::SignalProxy0< void > Atk::Table::signal_row_reordered | ( | ) |

Prototype:
  `void on_my_row_reordered()`

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Table > wrap | ( | AtkTable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.